from vcCommand import *
import vcMatrix
app = getApplication()
sim = app.Simulation


def my_state():
  sm = app.SelectionManager
  context = app.AuthorContext
  feas = context.ActiveNode.RootFeature.Children
  select_these = []
  while feas:
    fea = feas.pop(0)
    if not fea.OnDemandLoad:
      select_these.append(fea)
    feas.extend(fea.Children)
  sm.setSelection(select_these)
  for f in select_these: 
    f.OnDemandLoad = True

addState(my_state)

